%define module	nose
%define name	python-%{module}
%define version	0.11.0
%define release	%mkrel 1

Summary:	Unittest-based testing framework for Python
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{module}-%{version}.tar.gz
License:	LGPLv2+
Group:		Development/Python
Url:		http://python-nose.googlecode.com/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
BuildRequires:	python-sphinx >= 0.6.0
%py_requires -d

%description
nose is a Python test discovery and execution infrastructure
alternative to unittest that mimics the behavior of py.test as much as
is reasonably possible without resorting to too much magic.

%prep
%setup -q -n %{module}-%{version}

%install
%__make -C doc/ html

%__rm -rf %{buildroot}
%__python setup.py install --root=%{buildroot} 
%__mkdir -p %{buildroot}%{_mandir}/man1/
%__mv %{buildroot}/usr/man/man1/nosetests.1 %{buildroot}%{_mandir}/man1/
%__lzma -z %{buildroot}%{_mandir}/man1/nosetests.1

%clean
%__rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc AUTHORS CHANGELOG NEWS README.txt lgpl.txt examples/ doc/.build/html
%{_bindir}/*
%{py_sitedir}/*.egg-info
%{py_sitedir}/%{module}
%{py_sitedir}/%{module}*/*
%{_mandir}/man1/nosetests.*


%changelog
* Tue Jun 23 2009 Lev Givon <lev@mandriva.org> 0.11.0-1mdv2010.0
+ Revision: 388721
- Update to 0.11.0.

* Wed May 06 2009 Lev Givon <lev@mandriva.org> 0.10.4-3mdv2010.0
+ Revision: 372562
- Make package own its own module directory in %%py_sitedir.

* Fri Dec 26 2008 Funda Wang <fundawang@mandriva.org> 0.10.4-2mdv2009.1
+ Revision: 319375
- rebuld for new python

* Tue Dec 16 2008 Lev Givon <lev@mandriva.org> 0.10.4-1mdv2009.1
+ Revision: 314963
- Update to 0.10.4.

* Wed Jun 18 2008 Lev Givon <lev@mandriva.org> 0.10.3-1mdv2009.0
+ Revision: 225981
- Update to 0.10.3.

* Fri May 30 2008 Lev Givon <lev@mandriva.org> 0.10.2-1mdv2009.0
+ Revision: 213479
- Update to 0.10.2.

* Tue Feb 19 2008 Lev Givon <lev@mandriva.org> 0.10.1-2mdv2008.1
+ Revision: 172897
- import python-nose


* Mon Feb 18 2008 Lev Givon <lev@mandriva.org> 0.10.1-1mdv2008.0
- Initial Mandriva package.
